Cancel an active Robot action
Request cancellation for one queued or running Robot action. A queued action is cancelled before it starts. A running action forwards the cancellation request to the Robot session coordinator. Other action runs in the same Trail run continue independently.
Request cancellation for one queued or running Robot action. A queued action is cancelled before it starts. A running action forwards the cancellation request to the Robot session coordinator. Other action runs in the same Trail run continue independently.
storyden-session<token>trail_id*stringA unique identifier for this resource.
xidrun_id*stringA unique identifier for this resource.
xidaction_run_id*stringA unique identifier for this resource.
xidTrail action run cancellation requested.
curl -X PUT 'https://example.com/api/trails/string/runs/string/actions/string/cancellation'Update a robot workspace PATCH
Update a reusable Robot workspace template.
Create a Trail POST
Create a Trail with one trigger and one or more action bindings. The server records the requesting account as the creator and validates the trigger, actions, and lifecycle state. An active Trail receives its next occurrence when the trigger has a future occurrence.